Inicio / Alerta Temprana / Avisos Sci / Múltiples vulnerabilidades en FvDesigner de FATEK Automation

Múltiples vulnerabilidades en FvDesigner de FATEK Automation

Fecha de publicación: 
06/08/2021
Importancia: 
4 - Alta
Recursos afectados: 

FvDesigner, versión 1.5.88 y anteriores.

Descripción: 

Un investigador anónimo, en colaboración con ZDI de Trend Micro, ha reportado al CISA tres vulnerabilidades de severidad alta que podrían permitir a un atacante ejecutar código arbitrario.

Solución: 

Contactar con FATEK a través de su sitio web para recibir información.

Detalle: 
  • Un puntero no inicializado podría ser explotado mientras la aplicación procesa archivos de proyecto especialmente diseñados, lo que podría permitir a un atacante ejecutar código arbitrario. Se ha asignado el identificador CVE-2021-32931 para esta vulnerabilidad.
  • Una vulnerabilidad de desbordamiento de búfer basado en pila (stack) podría permitir a un atacante ejecutar código arbitrario. Se ha asignado el identificador CVE-2021-32947 para esta vulnerabilidad.
  • Una vulnerabilidad de escritura fuera de límites durante el procesamiento de archivos, podría permitir a un atacante diseñar un archivo de proyecto que le permitiera ejecutar código arbitrario. Se ha asignado el identificador CVE-2021-32939 para esta vulnerabilidad.

Encuesta valoración